from together import Togetherimport osclient = Together( api_key=os.environ.get("TOGETHER_API_KEY"),)batch = client.batches.retrieve("<BATCH_ID>")print(batch)
import Together from "together-ai";
const client = new Together({
apiKey: process.env.TOGETHER_API_KEY,
});
const batch = await client.batches.retrieve("<BATCH_ID>");
console.log(batch);
import Together from "together-ai";
const client = new Together({
apiKey: process.env.TOGETHER_API_KEY,
});
const batch = await client.batches.retrieve("<BATCH_ID>");
console.log(batch);
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
id
string
required
The ID of the batch job to retrieve
Example:
"batch_job_abc123def456"
Response
OK
id
string<uuid>
Example:
"01234567-8901-2345-6789-012345678901"
user_id
string
Example:
"user_789xyz012"
input_file_id
string
Example:
"file-input123abc456def"
file_size_bytes
integer
Size of input file in bytes
Example:
1048576
status
enum<string>
Current status of the batch job
Available options:
VALIDATING,
IN_PROGRESS,
COMPLETED,
FAILED,
EXPIRED,
CANCELLED
Example:
"IN_PROGRESS"
job_deadline
string<date-time>
Example:
"2024-01-15T15:30:00Z"
created_at
string<date-time>
Example:
"2024-01-15T14:30:00Z"
endpoint
string
Example:
"/v1/chat/completions"
progress
number
Completion progress (0.0 to 100)
Example:
75
model_id
string
Model used for processing requests
Example:
"Qwen/Qwen3.5-9B"
output_file_id
string
Example:
"file-output789xyz012ghi"
error_file_id
string
Example:
"file-errors456def789jkl"
error
string
completed_at
string<date-time>
Example:
"2024-01-15T15:45:30Z"
Was this page helpful?
⌘I
Together AI SDK (Python)
from together import Togetherimport osclient = Together( api_key=os.environ.get("TOGETHER_API_KEY"),)batch = client.batches.retrieve("<BATCH_ID>")print(batch)
import Together from "together-ai";
const client = new Together({
apiKey: process.env.TOGETHER_API_KEY,
});
const batch = await client.batches.retrieve("<BATCH_ID>");
console.log(batch);
import Together from "together-ai";
const client = new Together({
apiKey: process.env.TOGETHER_API_KEY,
});
const batch = await client.batches.retrieve("<BATCH_ID>");
console.log(batch);